Bug 150882 - Toolbar icons are half-seen in Macro dialog in 7.5 with KF5
Summary: Toolbar icons are half-seen in Macro dialog in 7.5 with KF5
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.5.0.0 alpha0+ Master
Hardware: All All
: high normal
Assignee: Michael Weghorn
URL:
Whiteboard: target:7.5.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2022-09-09 09:21 UTC by Timur
Modified: 2022-09-14 12:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By: Jan-Marek Glogowski


Attachments
Screenshot (48.75 KB, image/png)
2022-09-14 07:35 UTC, Michael Weghorn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2022-09-09 09:21:05 UTC
Toolbar icons are half-seen in Macro dialog in 7.5+ with KF5, QT6
Comment 1 Timur 2022-09-09 09:26:10 UTC
Same as bug 149805, this is a regression from
    commit afc828b9833b7a612369e95606ba56d41ef2c369
    Author: Jan-Marek Glogowski
    Date:   Sat May 28 23:47:21 2022 +0200
        VCL expect correct frame size for native menubars
Adding CC: to Jan-Marek Glogowski
Comment 2 Rafael Lima 2022-09-12 23:02:49 UTC
Repro with

Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: 641d92a73e5b3d0e062e16ed4b42236e1a4796a5
CPU threads: 12; OS: Linux 5.15; UI render: default; VCL: kf5 (cairo+xcb)
Locale: pt-BR (pt_BR.UTF-8); UI: en-US
Calc: threaded

The toolbar is no longer visible in the Basic IDE using kf5.
Comment 3 Michael Weghorn 2022-09-14 07:35:41 UTC
Created attachment 182429 [details]
Screenshot

Indeed, attached a screenshot of what I get for "Tools" -> "Macros" -> "Edit Macros".
The whole toolbar is there when using gtk3 instead.

Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: 4ca5c021c91680f1a5df47225d9cb0d41c0a8637
CPU threads: 12; OS: Linux 5.19; UI render: default; VCL: kf5 (cairo+xcb)
Locale: en-GB (en_GB.UTF-8); UI: en-US
Calc: threaded
Comment 4 Michael Weghorn 2022-09-14 08:44:58 UTC
Pending Gerrit change:
https://gerrit.libreoffice.org/c/core/+/139910
Comment 5 Commit Notification 2022-09-14 12:19:29 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ea9de214311780119a0974e03b38fd835b5074f5

tdf#150882 qt: Report menu bar height when not hidden

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.